function main(self)
	if self.State == 0 then
		StopElevator(self)
		self.SpecialFlags.StopElevator = true
		self.MoveRect = {-60,-8,64,0}
		self.AttackRect = {-60,-8,64,0}
		self.HitRect = {-60,-8,64,0}
	else
		StopElevator(self)
	end
end